Bug 321651 - gthumb --import-photos loses the original modification time (when picture taken)
gthumb --import-photos loses the original modification time (when picture taken)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-06 20:02 EDT by Normand Robert
Modified: 2008-06-16 22:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:35:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Normand Robert 2007-10-06 20:02:30 EDT
Description of problem:

gthumb --import-photo behaviour has changed from FC6 to F7. For JPG files, the 
modfication time (ls man page nomenclature) is now = to the creation time. This
behaviour results in a loss of the time when the picture was taken. Raw files
import (feature new to F7) shows the correct modification time = when picture
was taken.

Version-Release number of selected component (if applicable):

[robert@localhost ~]$ rpm -qa | grep gthumb
gthumb-2.10.5-1.fc7
[robert@localhost ~]$ 

How reproducible:

Always

Steps to Reproduce:
1. Connect camera in PTP mode via usb cable and turn it on
2. gthumb import dialog appears
3. Select photos to import.

Actual results:

4. [robert@localhost 2007-10-06--19.27.10]$ ls -lt
total 23392
-rw-rw-r-- 1 robert robert 2878824 oct  6 19:27 IMG_1209.JPG
-rw-rw-r-- 1 robert robert 2470865 oct  6 19:27 IMG_1210.JPG
-rw-rw-r-- 1 robert robert 9051938 oct  4 04:13 IMG_1210.CR2
-rw-rw-r-- 1 robert robert 9505199 oct  4 04:13 IMG_1209.CR2

5. [robert@localhost 2007-10-06--19.27.10]$ ls -lc
total 23392
-rw-rw-r-- 1 robert robert 9505199 oct  6 19:27 IMG_1209.CR2
-rw-rw-r-- 1 robert robert 2878824 oct  6 19:27 IMG_1209.JPG
-rw-rw-r-- 1 robert robert 9051938 oct  6 19:27 IMG_1210.CR2
-rw-rw-r-- 1 robert robert 2470865 oct  6 19:27 IMG_1210.JPG


Expected results:

Modification time to reflect when the picture was taken not when it was
imported. Consistent behaviour for jpg and raw images.

Additional info:
Comment 1 Normand Robert 2007-10-06 20:59:29 EDT
Filed upstream as http://bugzilla.gnome.org/show_bug.cgi?id=484290
Comment 2 Bug Zapper 2008-05-14 10:38:50 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:35:49 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.